Subject: Re: lojban as a programming language [was Re: [lojban] Lojban for lay programmers]

From: Lee Daniel Crocker <[email-masked]>
Date: Thu, 24 Jan 2002 14:19:12 -0800 (PST)

> > I find it hard to imagine many of my non-computer friends wanting to
> > learn Scheme, Guile, or Python.
> >
> > (It is also hard to imagine them wanting to learn Lojban, but it
> > seems less hard, since it is a full language and they would have more
> > motivations to learn it than merely dealing with their computers,
> > which they hate anyhow.)
> 
> Sell it to them as a language of artistic expression and poetry.

No! No!

Lojban, like any language--like any tool--is designed for a
specific range of uses. While it is often handy that tools can
be used for other things (like prying open cans with a screwdriver),
the results are always best when you use the right too for the job.
It gets the job done faster and cleaner, and doesn't mess up the
tool.

Sure, one could probably stretch lojban into "artistic" uses, but
doing so would produce bad art and risk weakening the language for
its designed use: clarity. Lojban should be "sold" for doing things
like writing international contracts, technical specs, laws,
computer programs, and other things for which ambiguity and cultural
assumptions are bad. Literature and art thrive on cultural
assumptions and ambiguity and arbitrary constraints and all those
things we've tried to remove from lojban.

I find no compelling reason whatsoever to think that lojban can be
used--or should be used--for every one of the thousands of different
things we call "communication". Like any human language, it is well
suited to some of them and poorly suited to others.

Novels should be in English. Opera should be in Italian.
Treaties should be in Lojban.

--
Lee Daniel Crocker <[email-masked]> <http://www.piclab.com/lee/>
"All inventions or works of authorship original to me, herein and past,
are placed irrevocably in the public domain, and may be used or modified
for any purpose, without permission, attribution, or notification."--LDC